<mat-card
  class="board-card"
  [routerLink]="['/board', board._id]">
  <mat-card-header>
    <mat-card-title>
      {{ board.name }}
    </mat-card-title>
    <div class="board-card__header-content">
      <div class="board-card__history">
        <mat-icon>history</mat-icon>
        <div>{{ board.created_date | date }}</div>
      </div>
      <div>{{ board.columns.length }} Columns</div>
    </div>
  </mat-card-header>
  <mat-card-content>
    <div class="board-card__body">
      <div
        *ngFor="let column of board.columns"
        [ngStyle]="{backgroundColor: column.color}"
        class="board-card__body-column"></div>
    </div>
  </mat-card-content>
</mat-card>
